<?php /* Post Format: Gallery */ ?>

<div id="post-<?php the_ID(); ?>" <?php post_class('post-single'); ?>>
    <div class="post-wrapper">
    
        <div class="post-header">
            <?php if ( is_single() ) { ?>
            	<h1>
					<a>
						<?php the_title(); ?>
                	</a>
                </h1>
            <?php } elseif (is_home()) { ?>
            	<h2><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
            <?php } ?>
        </div><!--.post-header-->
        <?php if ( is_single() ) { ?>
        <div class="clearboth"></div>
        <?php } ?>
                
        <div class="post-content">
        
        	<?php if( !is_single() && !is_home() && !is_date() && !is_author() && !is_tag() && !is_search() ) { ?>
            <a href="<?php the_permalink() ?>">
            	<?php $kanso_sd_ov_img = kanso_sd_get_option_tree('show_overlays','',false,true,-1);
				if ( isset($kanso_sd_ov_img[1])  ) {
					if ( function_exists('kanso_sd_get_option_tree') && $kanso_sd_ov_img[1] == 'Image/Gallery' ) { ?>
    					<div class="overlay-image"></div>
    			<?php }} ?>
    			<div class="standard-post-linker">
    			</div>
            </a>
            <?php } ?>
            
            <?php if ( function_exists('kanso_sd_get_option_tree') && kanso_sd_get_option_tree('disable_captions') != 'Yes' ) { ?>
            <div class="image-post-overlay" style="z-index:7">
                <div class="image-post-overlay-in">
                    <h4>
                        <a>
                            <?php the_title(); ?>
                        </a>
                    </h4>
                    <div class="clearboth"></div>
                    <?php if ( has_excerpt( $post->ID ) ) { the_excerpt(); } ?>
                </div>
            </div>
            <?php } ?>
            
            <?php
			$kanso_sd_slider = '<div id="orbit-slider"><div class="container_orbit"><div class="orbit-featured">';
			$kanso_sd_args = array(
   				'post_type' => 'attachment',
   				'numberposts' => -1,
  				'post_status' => 'any',
   				'post_parent' => $post->ID
  			);
			$kanso_sd_postid = $post->ID;
  			$kanso_sd_attachments = get_posts( $kanso_sd_args );
     		if ( is_array ( $kanso_sd_attachments )) {
				$kanso_sd_caption = 0;
        		foreach ( $kanso_sd_attachments as $kanso_sd_attachment ) {
					$kanso_sd_slideimage = wp_get_attachment_image_src( $kanso_sd_attachment->ID, 'full' );
					$kanso_sd_slider .= '<div class="slider-img" id="slider-img-'.$kanso_sd_postid.'-'.$kanso_sd_caption.'" data-caption="#'.$kanso_sd_postid.'-'.$kanso_sd_caption.'"  />';
					$kanso_sd_slider .= '<style type="text/css"> #slider-img-'.$kanso_sd_postid.'-'.$kanso_sd_caption.' { background-image: url("'.$kanso_sd_slideimage[0].'") } </style> </div>';
					$kanso_sd_slider .= '<img class="slider-img" src="'.$kanso_sd_slideimage[0].'" data-caption="#'.$kanso_sd_postid.'-'.$kanso_sd_caption.'"  />';
					$kanso_sd_caption++;
        		}
			}
			$kanso_sd_slider .= '</div>';
			if ( is_array ( $kanso_sd_attachments )) {
				$kanso_sd_caption = 0;
     			foreach ( $kanso_sd_attachments as $kanso_sd_attachment ) {
					$kanso_sd_cap = apply_filters( 'the_title', $kanso_sd_attachment->post_excerpt );
					$kanso_sd_slider .= '<span class="orbit-caption" id="'.$kanso_sd_postid.'-'.$kanso_sd_caption.'">'.$kanso_sd_cap.'</span>';
					$kanso_sd_caption++;
				}
			}
			$kanso_sd_slider .= '</div></div>';					
			if ( !empty ( $kanso_sd_attachments )) {
				echo $kanso_sd_slider;
			}
			if( is_single() ) {
				the_content(__('Read more', 'satori' ));	
			}
			wp_reset_postdata();
			?>
        </div>
        
        <?php 
		if( is_single() || is_home() || is_category() || is_date() || is_author() || is_tag()  || is_search() ) { 
			include 'part_post-meta.php'; 
		} 
		?>
        
        <div class="clearboth"></div>  
         
    </div>
</div><!--.post-single-->